<!DOCTYPE html>
<html lang="de" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>UpdatePlayer</title>
    <link rel="stylesheet" href="myStyles.css">
</head>
<body>

<main class="container">
    <h1><span th:text="${player.name}"></span></h1>

    <h3>Angaben ändern</h3>
    <form method="POST" th:action="@{/formUpdatePlayer(playerId=${player.getPlayerId()})}" th:object="${player}">
        <table>
            <tr><td>Name :</td><td><label>
                <input type="text" th:field="${player.name}">
            </label></td></tr>
            <tr><td>Trikotnr. :</td><td><label>
                <input type="text" th:field="${player.jerseyNumber}">
            </label></td></tr>
            <tr><td>Verein :</td>
                <td><label>
                    <select name="club">
                        <option value="" selected></option>
                        <option th:each="c : ${clubList}"
                                th:selected="${player.club eq c.name}"
                                th:text="${c.name}"/>
                    </select>
                </label>
            </tr>
            <tr><td><button type="submit">ändern</button></td><td></td></tr>
        </table>
    </form>

    <p>---------------------------------------------</p>

    <div>
        <form th:action="@{/formDeletePlayer(playerId=${player.playerId})}" method="POST">
            <input type="submit" value="Spieler löschen">
        </form>
    </div>
</main>

<div class="navigation">
    <a th:href="@{/createPlayer(clubId=1)}">Spieler hinzufügen</a>


    <a th:href="@{/playerDetails(playerId=${player.getPlayerId()})}">
        <span th:text="${player.name}"></span> Details
    </a>

    <a href="/">Zurück zur Übersicht</a>
</div>

</body>
</html>